aboutsummaryrefslogtreecommitdiffstats
path: root/testing/asciidoc/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-11-11 20:09:27 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-11-11 20:09:27 +0000
commitf11d3a02f97bd667855cf5176ad368ba70c375d5 (patch)
treec1160208787595bb3d843a488fa2f224451b419d /testing/asciidoc/APKBUILD
parentaad76e45690eaa1c9e72406b3c5722d8c9842054 (diff)
downloadaports-f11d3a02f97bd667855cf5176ad368ba70c375d5.tar.gz
aports-f11d3a02f97bd667855cf5176ad368ba70c375d5.tar.bz2
aports-f11d3a02f97bd667855cf5176ad368ba70c375d5.tar.xz
testing/asciidoc: new aport
Text based documentation http://www.methods.co.nz/asciidoc/
Diffstat (limited to 'testing/asciidoc/APKBUILD')
-rw-r--r--testing/asciidoc/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/asciidoc/APKBUILD b/testing/asciidoc/APKBUILD
new file mode 100644
index 0000000000..ef5c107997
--- /dev/null
+++ b/testing/asciidoc/APKBUILD
@@ -0,0 +1,41 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=asciidoc
+pkgver=8.6.2
+pkgrel=0
+pkgdesc="Text based documentation"
+url="http://www.methods.co.nz/asciidoc/"
+license="GPL"
+depends="python"
+makedepends=
+install=
+subpackages="$pkgname-doc"
+source="http://sourceforge.net/projects/asciidoc/files/asciidoc/$pkgver/asciidoc-$pkgver.tar.gz
+ vim.patch"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="6fa7ca8d05e550b193eeaf7528e37e64 asciidoc-8.6.2.tar.gz
+7e98fd7aa3fb61af56814e214bd1ab8a vim.patch"